Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0036400
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] 04. Warehouse managementminoralways2017-07-04 13:222017-09-21 16:49
ReporterdmiguelezView Statuspublic 
Assigned ToTriage Finance 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision911b29d316f8
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0036400: Add AUM compatibility with Goods Movements

DescriptionAllow to use Alternate Unit of Measure in Goods Movements transactions
It is needed for Distribution Orders project
Steps To ReproduceGo to Goods Movement Window || Lines Tab and check that there are no AUM and Operative Quantity fields.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0097837)
dmiguelez (developer)
2017-07-04 13:29

Test Plan:

1. Enable UOM Management Preference
  - As System Admin
  - Move to Preferences Window
  - Create a new record with:
    - Client: System
    - Organization: *
    - Property: Enable UOM Management
    - Value: Y
    - Visibility fiedls: All empty

2. Create new UOM
  - As F&B Admin
  - Move to Unit of Measure Window
  - Create a new record with:
    - Organization: *
    - EDI Code: BX
    - Name: Box
    - Symbol BX

3. Configure Product
  - As F&B Admin
  - Move to Product Window
  - Select Ale Beer
  - Move to Alternate UOM Tab and create a new record with:
    - UOM: Box
    - Conversion Rate 10
    - Sales: Secondary
    - Purchase: Secondary
    - Logistics: Primary

4. Test Goods Movements Window
  - As F&B Admin
  - Move to Goods Movement Window
  - Create a new record with:
    - Organization: F&B US
    - Lines:
      - Product: Ale Beer
      - Operative Quantity: 5
      - Alternative UOM: Box
      - Storage Bin: EC-0-0-0
      - New Storage Bin: EC-1-0-0
  - Check that Movement Quantity = 50 and UOM = Unit
  - Process the Goods Movement
  - Lauch the Stock report and check that there are 50 Units of Ale Beer in Bin EC-1-0-0
(0097962)
hgbot (developer)
2017-07-10 09:16

Repository: erp/devel/pi
Changeset: 911b29d316f8af4136209634bba83b8096b49844
Author: Nono Carballo <nonofce <at> gmail.com>Nono Carballo <nonofce <at> gmail.com>
Date: Mon Jul 10 09:04:57 2017 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/911b29d316f8af4136209634bba83b8096b49844 [^]

Fixes Issue 36400: Adds a method to get default AUM for a product in Logistic Flow

---
M src/org/openbravo/materialmgmt/UOMUtil.java
---
(0097963)
hgbot (developer)
2017-07-10 09:16

Repository: erp/devel/pi
Changeset: 4091bd40e433f42785e4d35cc28341ee460463df
Author: Nono Carballo <nonofce <at> gmail.com>
Date: Tue Jun 20 14:45:55 2017 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/4091bd40e433f42785e4d35cc28341ee460463df [^]

Related to Issue 36400: Added AUM fields to M_MOVEMENT based windows

- Added c_aum and aumqty to m_movemeneline
- Added c_aum and aumqty columns to M_MovementLine table in AD
- Addes c_aum and aumqty fields to Goods Movement window

---
M src-db/database/model/tables/M_MOVEMENTLINE.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_FIELD.xml
---
(0097964)
hgbot (developer)
2017-07-10 09:16

Repository: erp/devel/pi
Changeset: 7a4238bcf81ec8937aa664d1e3fb5774beb1aff3
Author: Nono Carballo <nonofce <at> gmail.com>
Date: Tue Jun 20 14:54:09 2017 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/7a4238bcf81ec8937aa664d1e3fb5774beb1aff3 [^]

Related to Issue 36400: Updated callouts to work with AUM fields

- Assigned callouts to c_aum and aumqty columns
- Adapted SL_Movement_Product to work with AUM fields

---
M src/org/openbravo/erpCommon/ad_callouts/OperativeQuantity_To_BaseQuantity.java
M src/org/openbravo/erpCommon/ad_callouts/SL_Movement_Product.java
---
(0097965)
hgbot (developer)
2017-07-10 09:17

Repository: erp/devel/pi
Changeset: 24b9cf5d974a0d0bc6dd4897f11b58ad6100421d
Author: Nono Carballo <nonofce <at> gmail.com>
Date: Tue Jun 20 15:58:41 2017 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/24b9cf5d974a0d0bc6dd4897f11b58ad6100421d [^]

Related to Issue 36400: Allow AUM fields be shown in grid view in Goods Movement window

---
M src-db/database/sourcedata/AD_FIELD.xml
---
(0097966)
hgbot (developer)
2017-07-10 09:17

Repository: erp/devel/pi
Changeset: 17e39b7f0195d7e19b60cc563a71cd7d73abdd18
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Mon Jul 03 17:24:27 2017 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/17e39b7f0195d7e19b60cc563a71cd7d73abdd18 [^]

Related to Issue 36400: Checks isProcessed column of M_Movement as stored in session
Also, removes dependencies from Distribution Order Module into
OperativeQty_To_BaseQty Callout. It checks the table instead of the
Window in that scenario

---
M src-db/database/sourcedata/AD_COLUMN.xml
M src/org/openbravo/erpCommon/ad_callouts/OperativeQuantity_To_BaseQuantity.java
---
(0097967)
hgbot (developer)
2017-07-10 09:17

Repository: erp/devel/pi
Changeset: 9ec2fdaa6afd6d15b66e042bb8372cf3eddc1304
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Tue Jul 04 12:53:15 2017 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/9ec2fdaa6afd6d15b66e042bb8372cf3eddc1304 [^]

Related to Issue 36400: Adds validation for UOM's in Logistic flow

---
M src-db/database/sourcedata/AD_VAL_RULE.xml
---
(0097991)
hgbot (developer)
2017-07-10 17:34

Repository: erp/devel/pi
Changeset: 2fa529a29b2bdab9e2232f7c5c5dacc54afc0b24
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Mon Jul 10 17:33:08 2017 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/2fa529a29b2bdab9e2232f7c5c5dacc54afc0b24 [^]

Related to Issue 36400. Code Review. Modifies query to use
exists clause instead of in clause to improve performance

---
M src-db/database/sourcedata/AD_VAL_RULE.xml
---
(0097992)
dmiguelez (developer)
2017-07-10 17:34

Code Review + Testing Ok
(0099252)
hudsonbot (developer)
2017-09-21 16:49

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9750b78d3e5c [^]
Maturity status: Test
(0099253)
hudsonbot (developer)
2017-09-21 16:49

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9750b78d3e5c [^]
Maturity status: Test
(0099254)
hudsonbot (developer)
2017-09-21 16:49

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9750b78d3e5c [^]
Maturity status: Test
(0099255)
hudsonbot (developer)
2017-09-21 16:49

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9750b78d3e5c [^]
Maturity status: Test
(0099256)
hudsonbot (developer)
2017-09-21 16:49

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9750b78d3e5c [^]
Maturity status: Test
(0099257)
hudsonbot (developer)
2017-09-21 16:49

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9750b78d3e5c [^]
Maturity status: Test
(0099264)
hudsonbot (developer)
2017-09-21 16:49

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9750b78d3e5c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-07-04 13:22 dmiguelez New Issue
2017-07-04 13:22 dmiguelez Assigned To => Triage Finance
2017-07-04 13:22 dmiguelez Modules => Core
2017-07-04 13:22 dmiguelez Triggers an Emergency Pack => No
2017-07-04 13:29 dmiguelez Note Added: 0097837
2017-07-10 09:16 hgbot Checkin
2017-07-10 09:16 hgbot Note Added: 0097962
2017-07-10 09:16 hgbot Status new => resolved
2017-07-10 09:16 hgbot Resolution open => fixed
2017-07-10 09:16 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/911b29d316f8af4136209634bba83b8096b49844 [^]
2017-07-10 09:16 hgbot Checkin
2017-07-10 09:16 hgbot Note Added: 0097963
2017-07-10 09:16 hgbot Checkin
2017-07-10 09:16 hgbot Note Added: 0097964
2017-07-10 09:17 hgbot Checkin
2017-07-10 09:17 hgbot Note Added: 0097965
2017-07-10 09:17 hgbot Checkin
2017-07-10 09:17 hgbot Note Added: 0097966
2017-07-10 09:17 hgbot Checkin
2017-07-10 09:17 hgbot Note Added: 0097967
2017-07-10 17:34 hgbot Checkin
2017-07-10 17:34 hgbot Note Added: 0097991
2017-07-10 17:34 dmiguelez Review Assigned To => dmiguelez
2017-07-10 17:34 dmiguelez Note Added: 0097992
2017-07-10 17:34 dmiguelez Status resolved => closed
2017-09-21 16:49 hudsonbot Checkin
2017-09-21 16:49 hudsonbot Note Added: 0099252
2017-09-21 16:49 hudsonbot Checkin
2017-09-21 16:49 hudsonbot Note Added: 0099253
2017-09-21 16:49 hudsonbot Checkin
2017-09-21 16:49 hudsonbot Note Added: 0099254
2017-09-21 16:49 hudsonbot Checkin
2017-09-21 16:49 hudsonbot Note Added: 0099255
2017-09-21 16:49 hudsonbot Checkin
2017-09-21 16:49 hudsonbot Note Added: 0099256
2017-09-21 16:49 hudsonbot Checkin
2017-09-21 16:49 hudsonbot Note Added: 0099257
2017-09-21 16:49 hudsonbot Checkin
2017-09-21 16:49 hudsonbot Note Added: 0099264


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker